/****************************************************************************
Knihovna pro rizeni fyzicke vrstvy displeje. Obsahuje dva logicke funkcni celky
ktere jsou vybirany preprocesorem podle typu kompilatoru. Pokud je definovano makro
PCSIM, je volena alternativa pro simulator, jinak je volena fyzicka vrstva 
procesoru LPC2478.
*****************************************************************************/
#ifndef GLCD_PHY_H
#define GLCD_PHY_H
#include "GLCD_types.h"
#include "OS_types.h"
#ifdef PCSIM
	#define MAX_X 480
	#define MAX_Y 272
	#define NUM_BITS 16
	void updateScreen(void);
#else
	#include <ctl_api.h>
	#include <targets/LPC2478.h>
	void InitDisp(void);
    #define MAX_X 525
	#define MAX_Y 300
#endif
void LCD_put_pix(int x,int y,RGB_COLORS color);
void LCD_put_RAW_pix(int x,int y,unsigned short data);
void LCD_darken_pix(int x,int y);
void CRSR_enable(ANSWER on);
void CRSR_init(void);
void LCD_restore_videoRam(void);
void LCD_store_videoRam(void);
#endif